import sqlite3
import os

def create_db():

    PATH = "app/database/data/"
    os.makedirs(PATH, exist_ok=True)

    with sqlite3.connect("app/database/data/database.db") as con:

        cur = con.cursor()

        cur.execute("""CREATE TABLE users (
    id                         INTEGER       PRIMARY KEY,
    user_id                    VARCHAR (255) NOT NULL,
    name                       CHAR          DEFAULT '',
    last_question              DATETIME      DEFAULT '',
    moder                      BOOLEAN       DEFAULT (0)
        )
        """)

    con.close()

    return 0