from aiogram import types
from aiogram.types import Message, ReplyKeyboardRemove
from aiogram.filters.callback_data import CallbackData
from app.messages import INFO_MESSAGES


#----------------------------------------
closekeyboards = types.ReplyKeyboardRemove()

button_cancel = [
    [types.KeyboardButton(text="Отмена"),],
]
cancel = types.ReplyKeyboardMarkup(
    keyboard=button_cancel,
    resize_keyboard=True,
)

da_1 = [
    [types.KeyboardButton(text="Отмена"),],
    [types.KeyboardButton(text="Да"),],
]
da = types.ReplyKeyboardMarkup(
    keyboard=da_1,
    resize_keyboard=True,
)

spam_1 = [
    [types.KeyboardButton(text="Отмена"),],
    [types.KeyboardButton(text="Всем"),],
    [types.KeyboardButton(text="С доступом"),],
]
spam = types.ReplyKeyboardMarkup(
    keyboard=spam_1,
    resize_keyboard=True,
)
#----------------------------------------

# main menu
#----------------------------------------
button_menu = [
    [types.KeyboardButton(text="📚 Студентам")],
    [types.KeyboardButton(text="🤝 Работодателям")],
    [types.KeyboardButton(text="ℹ️ О центре")],
    #[types.KeyboardButton(text="📰 Подписка на новости")],
]
main_menu = types.ReplyKeyboardMarkup(
    keyboard=button_menu,
    resize_keyboard=True,
)
#----------------------------------------

# menu_1
#----------------------------------------
button_menu_1 = [
    [types.KeyboardButton(text="📖 Стажировки, практики и вакансии")],
    [types.KeyboardButton(text="✍️ Советы по резюме")],
    [types.KeyboardButton(text="📄 Оформление договора")],
    [types.KeyboardButton(text="🏠 Главная")],
]
menu_1 = types.ReplyKeyboardMarkup(
    keyboard=button_menu_1,
    resize_keyboard=True,
)

button_menu_1_1 = [
    [types.KeyboardButton(text="📚 Стажировки")],
    [types.KeyboardButton(text="🛠 Практики")],
    [types.KeyboardButton(text="💼 Вакансии")],
    [types.KeyboardButton(text="🔙 Назад")],
]
menu_1_1 = types.ReplyKeyboardMarkup(
    keyboard=button_menu_1_1,
    resize_keyboard=True,
)
#----------------------------------------

# menu_2
#----------------------------------------
button_menu_2 = [
    [types.KeyboardButton(text="🏢 Стать партнёром")],
    [types.KeyboardButton(text="📄 Виды сотрудничества")],
    [types.KeyboardButton(text="🏠 Главная")],
]
menu_2 = types.ReplyKeyboardMarkup(
    keyboard=button_menu_2,
    resize_keyboard=True,
)

menu_2_2_inline_add = [
    [types.InlineKeyboardButton(text="Виды сотрудничества с СПбГЭТУ ЛЭТИ им Ульянова (Ленина)", url=INFO_MESSAGES['link_menu_2_2'])],
]
menu_2_2_inline = types.InlineKeyboardMarkup(inline_keyboard=menu_2_2_inline_add)
#----------------------------------------

# main menu inline
#----------------------------------------
menu_1_1_1_inline_add = [
    [types.InlineKeyboardButton(text="Узнать о стажировках", url=INFO_MESSAGES['link_menu_1_1_1'])],
]
menu_1_1_1_inline = types.InlineKeyboardMarkup(inline_keyboard=menu_1_1_1_inline_add)

menu_1_1_2_inline_add = [
    [types.InlineKeyboardButton(text=" Подробнее о практиках", url=INFO_MESSAGES['link_menu_1_1_2'])],
]
menu_1_1_2_inline = types.InlineKeyboardMarkup(inline_keyboard=menu_1_1_2_inline_add)

menu_1_1_3_inline_add = [
    [types.InlineKeyboardButton(text="Перейти в Telegram-канал с вакансиями", url=INFO_MESSAGES['link_menu_1_1_3'])],
]
menu_1_1_3_inline = types.InlineKeyboardMarkup(inline_keyboard=menu_1_1_3_inline_add)

menu_1_2_inline_add = [
    [types.InlineKeyboardButton(text="Перейти к советам по резюме", url=INFO_MESSAGES['link_menu_1_2'])],
]
menu_1_2_inline = types.InlineKeyboardMarkup(inline_keyboard=menu_1_2_inline_add)

menu_1_3_inline_add = [
    [types.InlineKeyboardButton(text="Заполнить заявку", url=INFO_MESSAGES['link_menu_1_3'])],
]
menu_1_3_inline = types.InlineKeyboardMarkup(inline_keyboard=menu_1_3_inline_add)

# menu_2_inline_add = [
#     [types.InlineKeyboardButton(text="Виды сотрудничества с СПбГЭТУ ЛЭТИ", url=INFO_MESSAGES['link_rabotod'])],
# ]
# menu_2_inline = types.InlineKeyboardMarkup(inline_keyboard=menu_2_inline_add)

menu_3_inline_add = [
    [types.InlineKeyboardButton(text="Подписаться на Telegram-канал", url=INFO_MESSAGES['public_telegram'])],
    [types.InlineKeyboardButton(text="Подписаться на группу ВКонтакте", url=INFO_MESSAGES['public_vk'])]
]
menu_3_inline = types.InlineKeyboardMarkup(inline_keyboard=menu_3_inline_add)
#----------------------------------------


# # main menu
# #----------------------------------------
# button_menu = [
#     [types.KeyboardButton(text="Информация о стажировках")],
#     [types.KeyboardButton(text="Информация о практиках")],
#     [types.KeyboardButton(text="Раздел вакансий")],
#     [types.KeyboardButton(text="Раздел для работодателей")],
#     [types.KeyboardButton(text="Советы по написанию резюме")],
# ]
# main_menu = types.ReplyKeyboardMarkup(
#     keyboard=button_menu,
#     resize_keyboard=True,
# )
# #----------------------------------------