import os
from app.database.create_database import create_db

def check_bd():
    print('-------------------')
    if os.path.exists("app/database/data/database.db"): 
        print('[База данных] "database" загружена')
    else: 
        print('[База данных] "database" отсутствует')
        print('[База данных] "database" создание....')
        if create_db() != 0:
            return print('[error] [База данных] "database" Ошибка создание')
            exit()
        print('[База данных] "database" создание завершено')
        print('[База данных] "database" загружена')
    #print('-------------------')
    return

def check_config_settings():
    from app.settings.config import TOKEN, CHANNEL_WHITELIST
    error = False
    answer = '[config] Отсутствуют настройки (app/settings/config.py):'
    if (TOKEN == ""):
        error = True
        answer +='\nотсутствует TOKEN'
    if (CHANNEL_WHITELIST == "-100"):
        error = True
        answer +='\nотсутствует CHANNEL_WHITELIST'
    if error:
        print(answer)
        return False
    return True

def check_config():
    #print('-------------------')
    if os.path.exists("app/database/data/database.db"):
        if check_config_settings() != True:
            print('-------------------')
            exit()
        print('[config] "config" загружен')
        print('-------------------')
    else: 
        print('[config] "config" отсутствует')
        print('[config] используйте install или создайте app/settings/config.py по примеру app/settings/config_example.py')
        print('-------------------')
        exit()
    return
