from app.settings.info import feedback_link


# messages
start_message = f'👋 Привет! Я чат-бот Центра развития карьеры СПбГЭТУ ЛЭТИ.\n\nПомогу тебе узнать о стажировках, практиках, вакансиях и многом другом!\n\nВыбери интересующий тебя раздел:'
error_message = f'⚠️ Ошибка сервера ⚠️\n\nFeedback: @{feedback_link}'
usestart_message = '🏠 Используй /start'
byebye_message = '✋ Я всегда рад помочь, обращайтесь.'

menu_1_message = 'Выберите интересующий вас раздел:'
menu_2_message = 'Если вы хотите разместить вакансию или сотрудничать с нашим университетом, ознакомьтесь с информацией здесь:'
menu_3_message = 'Центр развития карьеры "ЛЭТИ" - твой путь к работе мечты! 💫 Узнай первым о вакансиях, мероприятиях и наших интерактивах с подарками! 🎁\n\nПодпишись на наши каналы, чтобы не пропустить важные новости и обновления:'
#menu_4_message = 'Подпишись на наши каналы, чтобы не пропустить важные новости и обновления:'

menu_1_1_1_message = 'Всё о стажировках:'
menu_1_1_2_message = 'Информация о практиках:'
menu_1_1_3_message = 'Все вакансии для студентов и выпускников:'

menu_1_1_message = 'Выберите, что вас интересует:'
menu_1_2_message = 'Подготовь своё резюме правильно! Советы и инструкции доступны здесь:'
menu_1_3_message = 'Для оформления договора на практику или стажировку воспользуйтесь этим инструментом:'

menu_2_1_message = """Станьте партнёром СПбГЭТУ ЛЭТИ и получите доступ к
следующим возможностям:

- Управление вакансиями через интеграцию с
https://facultetus.ru/

- Автоматическая обработка откликов.

- Прямой доступ к студентам и выпускникам.

- Участие в  карьерных событиях университета.
По вопросам пишите на почту: ck@etu.ru"""
menu_2_2_message = 'Для более подробного обсуждения форматов сотрудничества пишите нам:\nck@etu.ru'

MESSAGES = {
    'start': start_message,
    'error': error_message,
    'usestart': usestart_message,
    'byebye': byebye_message,
    # menu
    'menu_1': menu_1_message,
    'menu_2': menu_2_message,
    'menu_3': menu_3_message,
   # 'menu_4': menu_4_message,

    'menu_1_1_1': menu_1_1_1_message,
    'menu_1_1_2': menu_1_1_2_message,
    'menu_1_1_3': menu_1_1_3_message,

    'menu_1_1': menu_1_1_message,
    'menu_1_2': menu_1_2_message,
    'menu_1_3': menu_1_3_message,

    'menu_2_1': menu_2_1_message,
    'menu_2_2': menu_2_2_message,
}

# info
# public_telegram_message = f'https://t.me/doctor_what'
# public_vk_message = f'https://t.me/doctor_what'
# link_rabotod_message = f'https://t.me/doctor_what' # (🤝 Работодателям)

# link_menu_1_1_1_message = f'https://t.me/doctor_what' # (📚 Стажировки)
# link_menu_1_1_2_message = f'https://t.me/doctor_what' # (🛠 Практики)
# link_menu_1_1_3_message = f'https://t.me/doctor_what' # (💼 Вакансии)

# link_menu_1_2_message = f'https://t.me/doctor_what' # (✍️ Советы по резюме)
# link_menu_1_3_message = f'https://t.me/doctor_what' # (📄 Оформление договора)
from app.settings.info import public_telegram_message, public_vk_message, \
    link_menu_1_1_1_message, link_menu_1_1_2_message, link_menu_1_1_3_message, \
    link_menu_1_2_message, link_menu_1_3_message, link_menu_2_2_message

INFO_MESSAGES = {
    'public_telegram': public_telegram_message,
    'public_vk': public_vk_message,
    #'link_rabotod': link_rabotod_message,

    'link_menu_1_1_1': link_menu_1_1_1_message,
    'link_menu_1_1_2': link_menu_1_1_2_message,
    'link_menu_1_1_3': link_menu_1_1_3_message,

    'link_menu_1_2': link_menu_1_2_message,
    'link_menu_1_3': link_menu_1_3_message,

    'link_menu_2_2': link_menu_2_2_message,
}

